Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Options.Lenses

Contents

- Pragma options
  - Verbosity in the local pragma options
- Command line options
  - Safe mode
  - Include directories
  - Include directories

Description

Lenses for `CommandLineOptions` and `PragmaOptions`.

Add as needed.

Nothing smart happening here.

Synopsis

- class LensPragmaOptions a where
- modifyPragmaOptions :: (PragmaOptions -> PragmaOptions) -> TCM ()
- class LensVerbosity a where
- modifyVerbosity :: (Verbosity -> Verbosity) -> TCM ()
- putVerbosity :: Verbosity -> TCM ()
- class LensCommandLineOptions a where
- modifyCommandLineOptions :: (CommandLineOptions -> CommandLineOptions) -> TCM ()
- type SafeMode = Bool
- class LensSafeMode a where
- modifySafeMode :: (SafeMode -> SafeMode) -> TCM ()
- putSafeMode :: SafeMode -> TCM ()
- class LensIncludePaths a where
- modifyIncludePaths :: ([FilePath] -> [FilePath]) -> TCM ()
- putIncludePaths :: [FilePath] -> TCM ()
- modifyAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> TCM ()
- putAbsoluteIncludePaths :: [AbsolutePath] -> TCM ()
- type PersistentVerbosity = Verbosity
- class LensPersistentVerbosity a where
- modifyPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> TCM ()
- putPersistentVerbosity :: PersistentVerbosity -> TCM ()

# Pragma options

class LensPragmaOptions a where #

Minimal complete definition

getPragmaOptions

Methods

getPragmaOptions :: a -> PragmaOptions #

setPragmaOptions :: PragmaOptions -> a -> a #

mapPragmaOptions :: (PragmaOptions -> PragmaOptions) -> a -> a #

Instances

LensPragmaOptions TCState # |
Methods getPragmaOptions :: TCState -> PragmaOptions # setPragmaOptions :: PragmaOptions -> TCState -> TCState # mapPragmaOptions :: (PragmaOptions -> PragmaOptions) -> TCState -> TCState #
LensPragmaOptions CommandLineOptions # |
Methods getPragmaOptions :: CommandLineOptions -> PragmaOptions # setPragmaOptions :: PragmaOptions -> CommandLineOptions -> CommandLineOptions # mapPragmaOptions :: (PragmaOptions -> PragmaOptions) -> CommandLineOptions -> CommandLineOptions #

modifyPragmaOptions :: (PragmaOptions -> PragmaOptions) -> TCM () #

## Verbosity in the local pragma options

class LensVerbosity a where #

Minimal complete definition

getVerbosity

Methods

getVerbosity :: a -> Verbosity #

setVerbosity :: Verbosity -> a -> a #

mapVerbosity :: (Verbosity -> Verbosity) -> a -> a #

Instances

LensVerbosity TCState # |
Methods getVerbosity :: TCState -> Verbosity # setVerbosity :: Verbosity -> TCState -> TCState # mapVerbosity :: (Verbosity -> Verbosity) -> TCState -> TCState #
LensVerbosity PragmaOptions # |
Methods getVerbosity :: PragmaOptions -> Verbosity # setVerbosity :: Verbosity -> PragmaOptions -> PragmaOptions # mapVerbosity :: (Verbosity -> Verbosity) -> PragmaOptions -> PragmaOptions #

modifyVerbosity :: (Verbosity -> Verbosity) -> TCM () #

putVerbosity :: Verbosity -> TCM () #

# Command line options

class LensCommandLineOptions a where #

Minimal complete definition

getCommandLineOptions

Methods

getCommandLineOptions :: a -> CommandLineOptions #

setCommandLineOptions :: CommandLineOptions -> a -> a #

mapCommandLineOptions :: (CommandLineOptions -> CommandLineOptions) -> a -> a #

Instances

LensCommandLineOptions TCState # |
Methods getCommandLineOptions :: TCState -> CommandLineOptions # setCommandLineOptions :: CommandLineOptions -> TCState -> TCState # mapCommandLineOptions :: (CommandLineOptions -> CommandLineOptions) -> TCState -> TCState #
LensCommandLineOptions PersistentTCState # |
Methods getCommandLineOptions :: PersistentTCState -> CommandLineOptions # setCommandLineOptions :: CommandLineOptions -> PersistentTCState -> PersistentTCState # mapCommandLineOptions :: (CommandLineOptions -> CommandLineOptions) -> PersistentTCState -> PersistentTCState #

modifyCommandLineOptions :: (CommandLineOptions -> CommandLineOptions) -> TCM () #

## Safe mode

type SafeMode = Bool #

class LensSafeMode a where #

Minimal complete definition

getSafeMode

Methods

getSafeMode :: a -> SafeMode #

setSafeMode :: SafeMode -> a -> a #

mapSafeMode :: (SafeMode -> SafeMode) -> a -> a #

Instances

LensSafeMode TCState # |
Methods getSafeMode :: TCState -> SafeMode # setSafeMode :: SafeMode -> TCState -> TCState # mapSafeMode :: (SafeMode -> SafeMode) -> TCState -> TCState #
LensSafeMode CommandLineOptions # |
Methods getSafeMode :: CommandLineOptions -> SafeMode # setSafeMode :: SafeMode -> CommandLineOptions -> CommandLineOptions # mapSafeMode :: (SafeMode -> SafeMode) -> CommandLineOptions -> CommandLineOptions #
LensSafeMode PersistentTCState # |
Methods getSafeMode :: PersistentTCState -> SafeMode # setSafeMode :: SafeMode -> PersistentTCState -> PersistentTCState # mapSafeMode :: (SafeMode -> SafeMode) -> PersistentTCState -> PersistentTCState #

modifySafeMode :: (SafeMode -> SafeMode) -> TCM () #

putSafeMode :: SafeMode -> TCM () #

## Include directories

class LensIncludePaths a where #

Minimal complete definition

getIncludePaths, getAbsoluteIncludePaths

Methods

getIncludePaths :: a -> [FilePath] #

setIncludePaths :: [FilePath] -> a -> a #

mapIncludePaths :: ([FilePath] -> [FilePath]) -> a -> a #

getAbsoluteIncludePaths :: a -> [AbsolutePath] #

setAbsoluteIncludePaths :: [AbsolutePath] -> a -> a #

mapAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> a -> a #

Instances

LensIncludePaths TCState # |
Methods getIncludePaths :: TCState -> [FilePath] # setIncludePaths :: [FilePath] -> TCState -> TCState # mapIncludePaths :: ([FilePath] -> [FilePath]) -> TCState -> TCState # getAbsoluteIncludePaths :: TCState -> [AbsolutePath] # setAbsoluteIncludePaths :: [AbsolutePath] -> TCState -> TCState # mapAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> TCState -> TCState #
LensIncludePaths CommandLineOptions # |
Methods getIncludePaths :: CommandLineOptions -> [FilePath] # setIncludePaths :: [FilePath] -> CommandLineOptions -> CommandLineOptions # mapIncludePaths :: ([FilePath] -> [FilePath]) -> CommandLineOptions -> CommandLineOptions # getAbsoluteIncludePaths :: CommandLineOptions -> [AbsolutePath] # setAbsoluteIncludePaths :: [AbsolutePath] -> CommandLineOptions -> CommandLineOptions # mapAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> CommandLineOptions -> CommandLineOptions #
LensIncludePaths PersistentTCState # |
Methods getIncludePaths :: PersistentTCState -> [FilePath] # setIncludePaths :: [FilePath] -> PersistentTCState -> PersistentTCState # mapIncludePaths :: ([FilePath] -> [FilePath]) -> PersistentTCState -> PersistentTCState # getAbsoluteIncludePaths :: PersistentTCState -> [AbsolutePath] # setAbsoluteIncludePaths :: [AbsolutePath] -> PersistentTCState -> PersistentTCState # mapAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> PersistentTCState -> PersistentTCState #

modifyIncludePaths :: ([FilePath] -> [FilePath]) -> TCM () #

putIncludePaths :: [FilePath] -> TCM () #

modifyAbsoluteIncludePaths :: ([AbsolutePath] -> [AbsolutePath]) -> TCM () #

putAbsoluteIncludePaths :: [AbsolutePath] -> TCM () #

## Include directories

type PersistentVerbosity = Verbosity #

class LensPersistentVerbosity a where #

Minimal complete definition

getPersistentVerbosity

Methods

getPersistentVerbosity :: a -> PersistentVerbosity #

setPersistentVerbosity :: PersistentVerbosity -> a -> a #

mapPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> a -> a #

Instances

LensPersistentVerbosity TCState # |
Methods getPersistentVerbosity :: TCState -> PersistentVerbosity # setPersistentVerbosity :: PersistentVerbosity -> TCState -> TCState # mapPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> TCState -> TCState #
LensPersistentVerbosity PragmaOptions # |
Methods getPersistentVerbosity :: PragmaOptions -> PersistentVerbosity # setPersistentVerbosity :: PersistentVerbosity -> PragmaOptions -> PragmaOptions # mapPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> PragmaOptions -> PragmaOptions #
LensPersistentVerbosity CommandLineOptions # |
Methods getPersistentVerbosity :: CommandLineOptions -> PersistentVerbosity # setPersistentVerbosity :: PersistentVerbosity -> CommandLineOptions -> CommandLineOptions # mapPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> CommandLineOptions -> CommandLineOptions #
LensPersistentVerbosity PersistentTCState # |
Methods getPersistentVerbosity :: PersistentTCState -> PersistentVerbosity # setPersistentVerbosity :: PersistentVerbosity -> PersistentTCState -> PersistentTCState # mapPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> PersistentTCState -> PersistentTCState #

modifyPersistentVerbosity :: (PersistentVerbosity -> PersistentVerbosity) -> TCM () #

putPersistentVerbosity :: PersistentVerbosity -> TCM () #